<div class="modal is-active">
    <div class="modal-background" matDialogClose=""></div>
    <div class="modal-card">
        <header class="modal-card-head">
            <p class="modal-card-title">{{dictionary.edit}} - {{aircraftTitle.aircraft}}: {{maxTitleLength(name, 30)}}</p>
            <button class="delete" aria-label="close" matDialogClose=""></button>
        </header>
        <section class="modal-card-body">
            <div>
                <label>{{aircraftTitle.name}}:</label>
                <input class="input {{aircraftVariable.name}}" [(ngModel)]="name" name="{{aircraftKeys.name}}" type="text" value="{{name}}" placeholder="{{data.name}}" [attr.list]="aircraftKeys.name+'List'">
                <datalist id="{{aircraftKeys.name}}List"><option value="{{data.name}}"></datalist>
            </div>
            <div>
                <label>{{aircraftTitle.distance}}:</label>
                <input class="input {{aircraftVariable.distance}}" [(ngModel)]="distance" name="{{aircraftKeys.distance}}" type="number" min="0" step="1" value="{{distance}}" placeholder="{{data.distance}}" [attr.list]="aircraftKeys.distance+'List'" >
                <datalist id="{{aircraftKeys.distance}}List"><option value="{{data.distance}}"></datalist>
            </div>
            <div>
                <label>{{aircraftTitle.seatCount}}:</label>
                <input class="input {{aircraftVariable.seatCount}}" [(ngModel)]="seatCount" name="{{aircraftKeys.seatCount}}" type="number" min="0" step="1" value="{{seatCount}}" placeholder="{{data.seatCount}}" [attr.list]="aircraftKeys.seatCount+'List'">
                <datalist id="{{aircraftKeys.seatCount}}List"><option value="{{data.seatCount}}"></datalist>
            </div>
            <div>
                <label>{{aircraftTitle.maxSeatCount}}:</label>
                <input class="input {{aircraftVariable.maxSeatCount}}" [(ngModel)]="maxSeatCount" name="{{aircraftKeys.maxSeatCount}}" type="number" min="0" step="1" value="{{maxSeatCount}}" placeholder="{{data.maxSeatCount}}" [attr.list]="aircraftKeys.maxSeatCount+'List'">
                <datalist id="{{aircraftKeys.maxSeatCount}}List"><option value="{{data.maxSeatCount}}"></datalist>
            </div>
            <div>
                <label>{{aircraftTitle.length}}:</label>
                <input class="input {{aircraftVariable.length}}" [(ngModel)]="length" name="{{aircraftKeys.length}}" type="number" min="0" step="0.01" value="{{length}}" placeholder="{{data.length}}" [attr.list]="aircraftKeys.length+'List'">
                <datalist id="{{aircraftKeys.length}}List"><option value="{{data.length}}"></datalist>
            </div>
            <div>
                <label>{{aircraftTitle.height}}:</label>
                <input class="input {{aircraftVariable.height}}" [(ngModel)]="height" name="{{aircraftKeys.height}}" type="number" min="0" step="0.01" value="{{height}}" placeholder="{{data.height}}" [attr.list]="aircraftKeys.height+'List'">
                <datalist id="{{aircraftKeys.height}}List"><option value="{{data.height}}"></datalist>
            </div>
            <div>
                <label>{{aircraftTitle.wingSpan}}:</label>
                <input class="input {{aircraftVariable.wingSpan}}" [(ngModel)]="wingSpan" name="{{aircraftKeys.wingSpan}}" type="number" min="0" step="0.01" value="{{wingSpan}}" placeholder="{{data.wingSpan}}" [attr.list]="aircraftKeys.wingSpan+'List'">
                <datalist id="{{aircraftKeys.wingSpan}}List"><option value="{{data.wingSpan}}"></datalist>
            </div>
            <div>
                <label>{{aircraftTitle.consumption}}:</label>
                <input class="input {{aircraftVariable.consumption}}" [(ngModel)]="consumption" name="{{aircraftKeys.consumption}}" type="number" min="0" step="0.01" value="{{consumption}}" placeholder="{{data.consumption}}" [attr.list]="aircraftKeys.consumption+'List'">
                <datalist id="{{aircraftKeys.consumption}}List"><option value="{{data.consumption}}"></datalist>
            </div>

            <div *ngIf="type == aircraftKeys.civil"><label>{{aircraftTitle.gateLicense}}:</label><br>
                <div class="select {{aircraftVariable.gateLicense}}">
                    <select [(ngModel)]="gateLicense" name="{{aircraftKeys.gateLicense}}"  (select)="gateLicense" >
                        <option value="true">{{dictionary.yes}}</option>
                        <option value="false">{{dictionary.no}}</option>
                    </select>
                </div>
            </div>
            <div *ngIf="type == aircraftKeys.military"><label>{{aircraftTitle.flare}}:</label><br>
                <div class="select {{aircraftVariable.flare}}">
                    <select [(ngModel)]="flare" name="{{aircraftKeys.flare}}"  (select)="flare" >
                        <option value="true">{{dictionary.yes}}</option>
                        <option value="false">{{dictionary.no}}</option>
                    </select>
                </div>
            </div>
            <div *ngIf="type == aircraftKeys.military"><label>{{aircraftTitle.airRefueling}}:</label><br>
                <div class="select {{aircraftVariable.airRefueling}}">
                    <select [(ngModel)]="airRefueling" name="{{aircraftKeys.airRefueling}}"  (select)="airRefueling" >
                        <option value="true">{{dictionary.yes}}</option>
                        <option value="false">{{dictionary.no}}</option>
                    </select>
                </div>
            </div>

        </section>
        <footer class="modal-card-foot">
            <button class="button is-success" matDialogClose="" [disabled]="submitButton !== true ? 'disabled' : ''" (click)="save()">{{dictionary.saveChange}}</button>
            <button class="button"  matDialogClose="">{{dictionary.cancel}}</button>
        </footer>
    </div>
</div>


